package cn.com.poc.knowledge.entity;

import cn.com.poc.thirdparty.resource.demand.ai.entity.knowledge.SegmentationConfigRequest;

import javax.persistence.Column;

/**
 * Model class for biz_knowledge_document
 * 知识库文件表
 */
public class BizKnowledgeDocumentEntity{


  
    /** kd_id
    *主键
    */ 
    private Integer kdId;

    public Integer getKdId() {
        return kdId;
    }

    public void setKdId(Integer kdId) {
        this.kdId = kdId;
    }

    /** owner
    *拥有者：System-系统 、User-用户
    */ 
    private String owner;
    
    public String getOwner(){
        return this.owner;
    }
    
    public void setOwner(String owner){
        this.owner = owner;
    }
    
  
    /** knowledge_type
    *知识库类型   QA-问答、Base-基础
    */ 
    private String knowledgeType;
    
    public String getKnowledgeType(){
        return this.knowledgeType;
    }
    
    public void setKnowledgeType(String knowledgeType){
        this.knowledgeType = knowledgeType;
    }
    
  
    /** document_name
    *文档名
    */ 
    private String documentName;
    
    public String getDocumentName(){
        return this.documentName;
    }
    
    public void setDocumentName(String documentName){
        this.documentName = documentName;
    }
    
  
    /** document_url
    *文件下载地址
    */ 
    private String documentUrl;
    
    public String getDocumentUrl(){
        return this.documentUrl;
    }
    
    public void setDocumentUrl(String documentUrl){
        this.documentUrl = documentUrl;
    }
    
  
    /** char_count
    *文档字符数
    */ 
    private Long charCount;
    
    public Long getCharCount(){
        return this.charCount;
    }
    
    public void setCharCount(Long charCount){
        this.charCount = charCount;
    }
    
  
    /** upload_time
    *上传时间
    */ 
    private java.util.Date uploadTime;
    
    public java.util.Date getUploadTime(){
        return this.uploadTime;
    }
    
    public void setUploadTime(java.util.Date uploadTime){
        this.uploadTime = uploadTime;
    }
    
  
    /** is_enable
    *是否启用 N-不启用 Y-启用
    */ 
    private String isEnable;
    
    public String getIsEnable(){
        return this.isEnable;
    }
    
    public void setIsEnable(String isEnable){
        this.isEnable = isEnable;
    }
    
  
    /** knowledge_id
    *中台知识库ID
    */ 
    private String knowledgeId;
    
    public String getKnowledgeId(){
        return this.knowledgeId;
    }
    
    public void setKnowledgeId(String knowledgeId){
        this.knowledgeId = knowledgeId;
    }
    
  
    /** train_status
    *状态：未执行-Unopened、 排队-Line 、训练中-Training、 完成-Complete、失败-Fail
    */ 
    private String trainStatus;
    
    public String getTrainStatus(){
        return this.trainStatus;
    }
    
    public void setTrainStatus(String trainStatus){
        this.trainStatus = trainStatus;
    }


    /**
     * 文档大小【单位：字节】
     */
    private Long documentSize;

    public Long getDocumentSize() {
        return documentSize;
    }

    public void setDocumentSize(Long documentSize) {
        this.documentSize = documentSize;
    }

    /**
     * 分片规则
     */
    private SegmentationConfigRequest segmentationConfig;

    public SegmentationConfigRequest getSegmentationConfig() {
        return segmentationConfig;
    }

    public void setSegmentationConfig(SegmentationConfigRequest segmentationConfig) {
        this.segmentationConfig = segmentationConfig;
    }

    /** is_deleted
    *是否删除 Y 是  N 否
    */ 
    private String isDeleted;
    
    public String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(String isDeleted){
        this.isDeleted = isDeleted;
    }
    
  
    /** CREATOR
    *创建人
    */ 
    private String creator;
    
    public String getCreator(){
        return this.creator;
    }
    
    public void setCreator(String creator){
        this.creator = creator;
    }
    
  
    /** CREATED_TIME
    *创建时间
    */ 
    private java.util.Date createdTime;
    
    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
    }
    
  
    /** MODIFIER
    *修改人
    */ 
    private String modifier;
    
    public String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(String modifier){
        this.modifier = modifier;
    }
    
  
    /** MODIFIED_TIME
    *修改时间
    */ 
    private java.util.Date modifiedTime;
    
    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }
    
  
    /** SYS_VERSION
    *乐观锁,版本号
    */ 
    private Integer sysVersion;
    
    public Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(Integer sysVersion){
        this.sysVersion = sysVersion;
    }
    

}